org.eclipse.cdt.utils.coff

## Class Coff64.OptionalHeader.OptionalHeader64

- java.lang.Object
- - org.eclipse.cdt.utils.coff.Coff64.OptionalHeader.OptionalHeader64

Enclosing class:
  Coff64.OptionalHeader

    public static class Coff64.OptionalHeader.OptionalHeader64
    extends Object

### Field Summary

Fields
`static int` `AOUTHDRSZ`
`int` `bsize`
`int` `dsize`
`int` `entry`
`int` `text_start`
`int` `tsize`
`short` `vstamp`

### Constructor Summary

Constructors
Constructor and Description
`OptionalHeader64(RandomAccessFile file, long offset)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### AOUTHDRSZ

    public static final int AOUTHDRSZ

See Also:
  Constant Field Values

#### vstamp

    public short vstamp

#### tsize

    public int tsize

#### dsize

    public int dsize

#### bsize

    public int bsize

#### entry

    public int entry

#### text_start

    public int text_start

### Constructor Detail

#### OptionalHeader64

    public OptionalHeader64(RandomAccessFile file,
                            long offset)
                     throws IOException

Throws:
  `IOException`

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`